module Gdas
  module Helpers
    module ModelActivityFeed
      extend ::ActiveSupport::Concern

      included do
        class << self
          class_attribute :provider_service, :model_type_name

          def feed_service(srv)
            self.provider_service = srv
            self.model_type_name = self.name.underscore # AwsInstance -> aws_instance
          end
        end
      end
    end
  end
end
